List projects
GET
/projectsReturns projects with counts of all, active, and failed tasks.
Contract
Parameter | Value |
|---|---|
| Section | projects |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
6 parameters
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| input | query | no | string | Search string |
| count | query | yes | integer | Page size |
| page | query | yes | integer | Page number, starting at 1 |
| key | query | yes | string | Sort field |
| order | query | yes | enum(asc, desc) | Sort direction |
| include_archived | query | no | boolean | Include archived projects |
"asc"
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
400 | Invalid query parameters | object |
401 | Unauthorized | object |
500 | Internal server error | object |
{ "cursor": { "count": 0, "currentPage": 0, "totalPages": 0, "totalRows": 0 }, "data": [ { "ID": 0, "activeTaskCount": 0, "archivedAt": "<string>", "createdAt": "<string>", "description": "<string>", "errorTaskCount": 0, "issuer": { "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": { "createdAt": "<string>", "deletedAt": "<string>", "id": 0, "issuer": {}, "issuerID": 0, "name": "<string>", "permissions": [ {} ], "updatedAt": "<string>", "users": [ {} ] }, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "realName": "<string>", "updatedAt": "<string>" }, "issuerID": 0, "lastActivityAt": "<string>", "name": "<string>", "taskCount": 0, "updatedAt": "<string>" } ] }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }